Bug 134174 - FILEOPEN PPTX: image shown rotated 90 degrees
Summary: FILEOPEN PPTX: image shown rotated 90 degrees
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-21 08:29 UTC by Gerald Pfeifer
Modified: 2021-08-28 01:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample slide (PPTX) (1017.78 KB, application/vnd.ms-powerpoint)
2020-06-21 08:29 UTC, Gerald Pfeifer
Details
Visual comparison Office 365 vs LibreOffice (52.16 KB, image/png)
2020-06-21 08:30 UTC, Gerald Pfeifer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2020-06-21 08:29:29 UTC
Created attachment 162240 [details]
Sample slide (PPTX)

In the attached slide, the image appears rotated by 90° (that is, the face
appears sideways instead of upright).

Version: 7.1.0.0.alpha0+
Build ID: a3c8ea5e644ca2fc04de9f01ba9f8ace47f520f0
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: gtk3
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-17_02:21:20

Already present in LibreOffice 6.4.4.2.

This is a slide extracted from a larger deck (and significantly simplified);
the issue reproduces, but I'll be happy to validate with the original.
Comment 1 Gerald Pfeifer 2020-06-21 08:30:11 UTC
Created attachment 162241 [details]
Visual comparison Office 365 vs LibreOffice
Comment 2 Julien Nabet 2020-06-21 10:36:39 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Regina: thought you might be interested in this one.
Comment 3 Regina Henschel 2020-06-22 15:30:13 UTC
The image is rendered correctly, if the image is inserted directly. Then the EXIF information is used. (Last fix for EXIF was in bug 131969.)

The image is used as background image here. It seems the EXIF information is not used in that context.
Comment 4 Commit Notification 2020-08-24 14:21:27 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9fe881410909c5273cef517433411bc4eceee294

tdf#134174 Fix the rotation of bitmap filled custom shapes.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-08-25 12:27:50 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/5f305e6792c1c166b2a44a1e5085f42f53db50ea

tdf#134174 Fix the rotation of bitmap filled custom shapes.

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-09-01 16:06:56 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 828914a94fe93d5b300bda1d23a049ae92c159e1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Gülşah Köse, thanks for fixing this issue!!